<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');
include($rutaPhp.$rutaHtml.'/librerias/calculadora.php');

?>

<div style="font-size:0.9em">

<h2>Tester lectura 2D</h2>

<p>Lectura:<br /><input type="text" name="lectura" id="lectura" style="width:90%;font-size:0.9em" class="campo"/></p>
    
<p><input type="submit" name="botonReiniciar" id="botonReiniciar" value="Reiniciar" class="boton"/></p>

<p>Lectura real codificada: </p>
<p><textarea name="lecturaReal" id="lecturaReal" rows="25" style="width:90%"></textarea></p>

</div>

<?php include('librerias/funciones-javascript-trazabilidad-tabaco.php'); ?>

<script>

var lecturaScanner=new Array();
var cadenaLectura='';

$(document).ready(function() {
	
	$("#lectura").on('keydown',function(e){
	
		e.preventDefault();
		var resultado='';
		
		nuevaLinea='Tecla: '+e.key+' / Codigo: '+e.keyCode+' |||| Tecla: '+String.fromCharCode(e.which)+' / Codigo: '+e.which+' / Codigo char: '+e.charCode+'\n';
		$("#lecturaReal").val( $("#lecturaReal").val() + nuevaLinea );
		
		if(e.which==13) {
			$('#lectura').trigger('change');
		}
		else lecturaScanner.push( [ String.fromCharCode(e.which) , e.which ] );
	}); 
	
	$('#lectura').on('change',function(){
				
		//Método que detecta que se ha hecho una nueva lectura.
		//tenemos que comprobar si procede del scanner o procede del teclado emergente
				
		var lecturaFinal='';
		
		<?php if($desactivaScannerBluetooth) { ?>
		lecturaFinal=transformaLecturaManualAlFormatoScanner( $('#lectura').val() );
		<?php } else { ?>
		if(lecturaScanner.length > 0) { //scanner
			//console.log('Se ha obtenido lectura desde escaner: '+lecturaScanner);
			lecturaFinal=limpiaLecturaDesdeScanner( lecturaScanner );
			//console.log('Lectura final tras pasar por la funcion limpiaLecturaDesdeScanner: '+lecturaFinal);
		}
		else { //manual
			lecturaFinal=transformaLecturaManualAlFormatoScanner( $('#lectura').val() );
		}
		<?php } ?>
		
		var resultado=pintaLecturaHumana( lecturaFinal );
		//console.log('Resultado tras pasar por la funcion pintaLecturaHumana: '+resultado);
		
		if(resultado=='error')  {
			alert('Error en la lectura. Código TTT no reconocido.',null,'error');
		}
		else {
			$('#lectura').val( resultado );
		}
		
	});
	
	$('#botonReiniciar').on('click',function(){
	
		lecturaScanner=new Array();
		cadenaLectura='';
	
		$('#lectura').val('');
		$('#lecturaReal').val('');
		$('#lectura').focus();
		
	});
	
	$('#lectura').focus();
	
});

</script>

<?php
include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
